unit dumpToolsU;

interface

 type TAddressFormat = (afHost, afNet);

 function DWordToDottedIP(const _dwIP: Cardinal; const _afAddressFormat: TAddressFormat): String;
 function WordToPortNumber(const _wPort: Word; const _afAddressFormat: TAddressFormat): String;

implementation

 uses WinSock, SysUtils;

//------------------------------------------------------------------------------

 function DWordToDottedIP(const _dwIP: Cardinal; const _afAddressFormat: TAddressFormat): String;
 var dwIP: Cardinal;
 begin
  if _afAddressFormat = afHost then dwIP := _dwIP else dwIP := Cardinal(ntohl(Integer(_dwIP)));
  Result := Format('%d.%d.%d.%d', [(dwIP shr 24) and $FF, (dwIP shr 16) and $FF, (dwIP shr 8) and $FF, dwIP and $FF]);
 end;

//------------------------------------------------------------------------------

 function WordToPortNumber(const _wPort: Word; const _afAddressFormat: TAddressFormat): String;
 begin
  if _afAddressFormat = afNet then Result := IntToStr(ntohs(_wPort)) else Result := IntToStr(_wPort);
 end;

//------------------------------------------------------------------------------

end.
