unit transferU;

interface

 function HX_GetDescription: PChar; stdcall; export;

 function HX_AllocateMemory(const _intSize: Integer): Pointer; stdcall; export;
 procedure HX_ReleaseMemory(_ptrRaw: Pointer); stdcall; export;

implementation

 uses Windows;

//------------------------------------------------------------------------------
// returns constant pointer to a null-terminated description string

 function HX_GetDescription: PChar;
 begin
  Result := 'PrimeScrambler64/SevenTags';
 end;

//------------------------------------------------------------------------------
// allocates memory to be returned to the client

 function HX_AllocateMemory(const _intSize: Integer): Pointer;
 begin
  GetMem(Result, _intSize);
 end;

//------------------------------------------------------------------------------
// deallocates memory previously allocated elsewhere in this DLL with HX_AllocateMemory
// and returned to the client

 procedure HX_ReleaseMemory(_ptrRaw: Pointer);
 begin
  if _ptrRaw <> nil then FreeMem(_ptrRaw);
 end;

//------------------------------------------------------------------------------

end.
